version: '3'
services:


  mysql5.7:
    image: docker.io/mysql:5.7
    command: --default-authentication-plugin=mysql_native_password
    container_name: mysql5.7
    volumes:
        - /data1/mysql/mysql5.7/conf:/etc/mysql/conf.d
        - /data1/mysql/mysql5.7/logs:/logs
        - /data1/mysql/mysql5.7/data:/var/lib/mysql
    ports:
        - "3306:3306/tcp"
    environment:
        MYSQL_ROOT_PASSWORD: root
     
  eureka:
    image: 10.20.2.132:8083/kg/eureka:1.0
    container_name: eureka
    volumes:
      - /data1/eureka/logs:/var/logs
    ports:
      - "8761:8761/tcp" 

  config:
    image: 10.20.2.132:8083/kg/config:1.0
    container_name: config
    volumes:
      - /data1/config/logs:/var/logs
    ports:
      - "8777:8777/tcp"

  zuul:
    image: 10.20.2.132:8083/kg/zuul:1.0
    container_name: zuul
    volumes:
      - /data1/zuul/logs:/var/logs
    ports:
      - "8046:8046/tcp"

  auth:
    image: 10.20.2.132:8083/kg/auth:1.0
    container_name: auth
    volumes:
      - /data1/auth/logs:/var/logs
    ports:
      - "8300:8300/tcp"

  admin:
    image: 10.20.2.132:8083/kg/admin:1.0
    container_name: admin
    volumes:
      - /data1/admin/logs:/var/logs
    ports:
      - "8091:8091/tcp"

  equipment:
    image: 10.20.2.132:8083/kg/equipment:1.0
    container_name: equipment
    volumes:
      - /data1/equipment/logs:/var/logs
    ports:
      - "8092:8092/tcp"

  alram:
    image: 10.20.2.132:8083/kg/alram:1.0
    container_name: alram
    volumes:
      - /data1/alram/logs:/var/logs
    ports:
      - "8093:8093/tcp"

  gis:
    image: 10.20.2.132:8083/kg/gis:1.0
    container_name: gis
    volumes:
      - /data1/gis/logs:/var/logs
    ports:
      - "8094:8094/tcp"

  adapter:
    image: 10.20.2.132:8083/kg/adapter:1.0
    container_name: adapter
    volumes:
      - /data1/adapter/log:/var/logs
    ports:
      - "8095:8095/tcp"

  report:
    image: 10.20.2.132:8083/kg/report:1.0
    container_name: report
    volumes:
      - /data1/report/log:/var/logs
    ports:
      - "8096:8096/tcp"

  transfer:
    image: 10.20.2.132:8083/kg/transfer:1.0
    container_name: transfer
    volumes:
      - /data1/transfer/log:/var/logs
    ports:
      - "8097:8097/tcp"

